#!/usr/bin/env sh

#sh /home/mika/www-240117/gw2skirmish.github.io/gw2claims/convert-jsonl-csv-guilds.sh
LC_ALL=C

matches="$(tail -n +2 objectives.csv | cut -d, -f1 | sort -u)"
teams="$(tail -n +2 objectives.csv | cut -d, -f2 | sort -u -k1.2)"
# if $_1 is set, matches=$_1
# if $_2 is set, teams=$_2

for match in $matches; do
    echo "<h2 id=\"$match\" class='matchtitle'>$match"
    #grep "$match.*wvwintel" ../homestretch.html | cut -d' ' -f3-5 # wvwintel seems dead now, using below solution instead
    echo "<a target="_blank" href="https://maps.gw2.io/wvw/$match">🗺️</a>"
    echo "</h2><div class='match'>"
    for team in $teams; do
        team_id="$(tail matches.json -n +$(grep -n \"$match\" matches.json | cut -d: -f1) | head -n 12 | tail -n 3 | grep -i $team | cut -d: -f2 | tr -d ' ,')"
	team_name="$(tail worlds.json -n +$(( $(grep -n $team_id worlds.json | head -n 1 | cut -d: -f1) + 1 )) | head -1 | cut -d\" -f4)"
        echo "<details open id=\"$match$team\" class=\"$team\"><summary>$match ${team}: $team_name</summary><pre>"
	grep "^$match,$team," objectives.csv | cut -d, -f3,4,5,6 | sort -t, -k1,1nr | sed -E 's/(.*),(.*),(.*),(.*)/\1,<a target="_blank" href="https:\/\/guilds.gw2w2w.com\/\2">🔗<\/a> \3 [\4]/g' | column -t -s, -R1
        echo "</pre></details>"
    done
    echo "</div>"
done
