cp template-claims.html claims.html.tmp

last_timestamp=$(date +%s)
sed "s/{{ last_timestamp }}/$last_timestamp/" -i claims.html.tmp

last_updated=$(date -uR)
sed "s/{{ last_updated }}/$last_updated/" -i claims.html.tmp

weekly_guilds_na=$(grep '"id":"1-."' < objectives.jsonl | cut -d\" -f12 | sort -u | wc -l)
sed "s/{{ weekly_guilds_na }}/$weekly_guilds_na/" -i claims.html.tmp

weekly_guilds_eu=$(grep '"id":"2-."' < objectives.jsonl | cut -d\" -f12 | sort -u | wc -l)
sed "s/{{ weekly_guilds_eu }}/$weekly_guilds_eu/" -i claims.html.tmp

weekly_guilds_all=$(cut -d\" -f12 < objectives.jsonl | sort -u | wc -l)
sed "s/{{ weekly_guilds_all }}/$weekly_guilds_all/" -i claims.html.tmp

all_guilds=$(wc -l < guilds.jsonl)
sed "s/{{ all_guilds }}/$all_guilds/" -i claims.html.tmp

# {% include nav-na.html %}

# {% include nav-eu.html %}

# {% include articles.html %}

sh claims-articles.sh >> claims.html.tmp
cat template-footer.html >> claims.html.tmp
#sed -i "s/2-1 Red/2-1 Red Titan's Staircase/g" claims.html.tmp
#sed -i "s/2-1 Blue/2-1 Blue First Haven/g" claims.html.tmp
#sed -i "s/2-1 Green/2-1 Green Moogooloo/g" claims.html.tmp
#sed -i "s/2-2 Red/2-2 Red Seven Pines/g" claims.html.tmp
#sed -i "s/2-2 Blue/2-2 Blue Thornwatch/g" claims.html.tmp
#sed -i "s/2-2 Green/2-2 Green Reaper's Corridor/g" claims.html.tmp
#sed -i "s/2-3 Red/2-3 Red Phoenix Dawn/g" claims.html.tmp
#sed -i "s/2-3 Blue/2-3 Blue Stonefall/g" claims.html.tmp
#sed -i "s/2-3 Green/2-3 Green Dragon's Claw/g" claims.html.tmp
#sed -i "s/2-4 Red/2-4 Red Griffonfall/g" claims.html.tmp
#sed -i "s/2-4 Blue/2-4 Blue Giant's Rise/g" claims.html.tmp
#sed -i "s/2-4 Green/2-4 Green Skrittsburgh/g" claims.html.tmp
#sed -i "s/2-5 Red/2-5 Red Grenth's Door/g" claims.html.tmp
#sed -i "s/2-5 Blue/2-5 Blue Silent Woods/g" claims.html.tmp
#sed -i "s/2-5 Green/2-5 Green Fortune's Vale/g" claims.html.tmp
#sed -i "s/1-1 Red/1-1 Red Griffonfall/g" claims.html.tmp
#sed -i "s/1-1 Blue/1-1 Blue Phoenix Dawn/g" claims.html.tmp
#sed -i "s/1-1 Green/1-1 Green Stonefall/g" claims.html.tmp
#sed -i "s/1-2 Red/1-2 Red Moogooloo/g" claims.html.tmp
#sed -i "s/1-2 Blue/1-2 Blue Titan's Staircase/g" claims.html.tmp
#sed -i "s/1-2 Green/1-2 Green Reaper's Corridor/g" claims.html.tmp
#sed -i "s/1-3 Red/1-3 Red Thornwatch/g" claims.html.tmp
#sed -i "s/1-3 Blue/1-3 Blue Seven Pines/g" claims.html.tmp
#sed -i "s/1-3 Green/1-3 Green First Haven/g" claims.html.tmp
#sed -i "s/1-4 Red/1-4 Red Dragon's Claw/g" claims.html.tmp
#sed -i "s/1-4 Blue/1-4 Blue Skrittsburgh/g" claims.html.tmp
#sed -i "s/1-4 Green/1-4 Green Giant's Rise/g" claims.html.tmp

cat claims.html.tmp
rm claims.html.tmp
